#
#	Copyright (c) 1989-1992 Citadel Software, Inc.
#	All Rights Reserved
#

# unix.mak	1.7 - 93/01/01

# lseq library makefile

AR	= ar#		# library archiver
CC	= cc#		# C compiler
CFLAGS	= -O#		# C compiler options
INCDIR	= /usr/include#	# include directory
LIB	= lseq#		# library name
LIBDIR	= /usr/lib#	# library directory
LLIBDIR	= /usr/lib#	# lint library directory
LINT	= lint -b -p -lblkio -o $(LIB)
MAN	= $(LIB).man#	# manual file name

FILES =	makefile   lseq.h     lseq_.h                                     \
	lsclose.c  lscreate.c lscursor.c lsdelcur.c lsfirst.c  lsgetcur.c \
	lsgetlck.c lsgetr.c   lsgetrf.c  lsinsert.c lslast.c   lslock.c   \
	lsnext.c   lsopen.c   lsprev.c   lsputr.c   lsputrf.c  lsreccnt.c \
	lsrecsiz.c lssearch.c lssetbuf.c lssetcur.c lssetvbu.c lssync.c   \
	lsops.c    rcops.c
MANS =	lseq.h                                                            \
	lsclose.c  lscreate.c lscursor.c lsdelcur.c lsfirst.c  lsgetcur.c \
	lsgetlck.c lsgetr.c   lsgetrf.c  lsinsert.c lslast.c   lslock.c   \
	lsnext.c   lsopen.c   lsprev.c   lsputr.c   lsputrf.c  lsreccnt.c \
	lsrecsiz.c lssearch.c lssetbuf.c lssetcur.c lssetvbu.c lssync.c
SRCS =	lsclose.c  lscreate.c lsdelcur.c lsfirst.c  lsgetcur.c lsgetlck.c \
	lsgetr.c   lsgetrf.c  lsinsert.c lslast.c   lslock.c   lsnext.c   \
	lsopen.c   lsprev.c   lsputr.c   lsputrf.c  lssearch.c lssetbuf.c \
	lssetcur.c lssetvbu.c lssync.c                                    \
	lsops.c    rcops.c
OBJS =	$(SRCS:.c=.o)
MODS =	$(LIB)(lsclose.o)  $(LIB)(lscreate.o) $(LIB)(lsdelcur.o) \
	$(LIB)(lsfirst.o)  $(LIB)(lsgetcur.o) $(LIB)(lsgetlck.o) \
	$(LIB)(lsgetr.o)   $(LIB)(lsgetrf.o)  $(LIB)(lsinsert.o) \
	$(LIB)(lslast.o)   $(LIB)(lslock.o)   $(LIB)(lsnext.o)   \
	$(LIB)(lsopen.o)   $(LIB)(lsprev.o)   $(LIB)(lsputr.o)   \
	$(LIB)(lsputrf.o)  $(LIB)(lssearch.o) $(LIB)(lssetbuf.o) \
	$(LIB)(lssetcur.o) $(LIB)(lssetvbu.o) $(LIB)(lssync.o)   \
	$(LIB)(lsops.o)    $(LIB)(rcops.o)

all:	$(LIB) man install

$(LIB):	$(MODS)
	@echo $(LIB) up-to-date.

$(MODS):	lseq.h lseq_.h

install:
	@if test -s $(INCDIR)/lseq.h = 0;			\
	then							\
		echo $(INCDIR)/lseq.h exists\.;			\
		echo -n "Do you wish to copy over it? ";	\
		read response;					\
		case $$response in				\
		y | Y | yes | YES | Yes)	;;		\
		*) exit 1			;;		\
		esac						\
	fi;							\
	cp lseq.h $(INCDIR)
	@if test -s $(LIBDIR)/lib$(LIB).a = 0;			\
	then							\
		echo $(LIBDIR)/lib$(LIB).a exists\.;		\
		echo -n "Do you wish to copy over it? ";	\
		read response;					\
		case $$response in				\
		y | Y | yes | YES | Yes)	;;		\
		*) exit 1			;;		\
		esac						\
	fi;							\
	cp $(LIB) $(LIBDIR)/lib$(LIB).a
	@echo $(LIB) installed.

lint:
	$(LINT) $(SRCS)
	mv llib-l$(LIB).ln $(LLIBDIR)

man:	$(MAN)

$(MAN):	$(MANS)
	cat $(MANS) | manx > $@

clean:
	rm $(LIB)
	rm *.o
	rm *.man

# eof
